
import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

public class SolarSystem {
	
	//-----------------------------
	//Instance Variables (my children)
	private ArrayList<Planet> planets;
	
	public SolarSystem() {
		this.planets = new ArrayList<>();
	}
	
	public void add(Planet aPlanet) {
		this.planets.add(aPlanet);
	}
	
	public void add(String aPlanetName) {
		add(new Planet(aPlanetName));
	}
	
	public void showPlanets() {
		for (Planet eachPlanet: this.planets)
			prn("Planet: " + eachPlanet);
	}
	
	public void showVisiblePlanets() {
		for (Planet eachPlanet: this.planets)
			if (eachPlanet.isVisible())
				prn("Planet: " + eachPlanet);
	}	
	
	public ArrayList<Planet> planetsNotVisible() {
		//Return a new list of only planets not visible
		ArrayList<Planet> hiddenPlanets;
		hiddenPlanets = new ArrayList<>();
		for (Planet eachPlanet: this.planets)
			if (!eachPlanet.isVisible())
				hiddenPlanets.add(eachPlanet);
		return hiddenPlanets;
	}

	public static void main(String[] args) {
		SolarSystem ss = new SolarSystem();
		ss.add("Saturn");
		ss.add("Mars");
		Planet aPlanet = new Planet("Jupiter");
		aPlanet.setVisible(true);
		ss.add(aPlanet);
		//ss.showVisiblePlanets();
		prn("Not visible: " + ss.planetsNotVisible());
	}
		
	public static void prn(Object o) {
		System.out.println(o.toString());
	}			

}

